Subject: (urth) KIlling a Carabao

From: Jim Raylor <rjraylor at yahoo.co.uk>
Date: Wed, 19 Jan 2005 03:36:48 +0000

I admit for a long time I imagined the Carabao to look
like a Caribou.
I dreamt last night of a shaman wearing a stag's head
with antlers.

The carabao, as anyone who fought in the Korean War
could probably tell you. is the Water Buffalo, with
whom we have a long working relationship, what use is
a rice field with no carabao to help work the land?
It is the national animal of the Philipines.
For reasons that are still not fully clear to me, I am
attempting to learn Pidgin and I was amused to find
this gem :
http://www.asianjoke.com/Filipino/night_before_christmas.htm

I assumed, the spelling Gene used was merely to allow
an association with the Marquis of Carabos, blurring
the lines between animals and humans.

'Cara' is Italian for Beloved.
I suggest the Carabao may have been a 'beloved abo',
possibly the Wise Old One.

There would be a certain irony for the anthropologist
to kill the object of his studies, without realising
it.

Perhaps this is the crime which the prisoner 143 is
accused of.
(I will post my thoughts on the significance of that
number later.)

There is an early 'Cure' song 'Killing an Arab' based
on Camus' famous murder story.
If we look behind the animal mask, squinting in the
harsh sunlight, we can see 'Killing a C(arab)ao' as a
heinous crime.
Behind the mask, we can see another pair of eyes,
which look almost human.
I think this is one aspect of the 'double-pupilled'
eyes.
The fish mentioned was pointed out to me by a
creationist as evidence that evolution is wrong, I was
not convinced by his arguments.

The whole carcass of this beast is said to weigh 15
pounds, remarkably light, unless he is just talking
about the mask. He then specifically mentions parts of
the animal that he was not taking.

Another option is that it was just a baby Carabao of
course... Does GW eat veal?

=====

___________________________________________________________ 
ALL-NEW Yahoo! Messenger - all new features - even more fun! http://uk.messenger.yahoo.com